Commit 3fca9478 authored by Oswald Buddenhagen's avatar Oswald Buddenhagen

Merge branch '1.0.0' into master

Conflicts:
	src/plugins/debugger/gdbengine.cpp
parents 2cf1e243 5cf1ee8d
#!/usr/bin/env bash
version="4.5-rc1"
workdir=/home/berlin/dev/qt-${version}-temp
destdir=/home/berlin/dev/qt-${version}-shipping/qt # "/qt" suffix for Bitrock
dir=qt-x11-opensource-src-${version}
file_tar="${dir}.tar"
file_tar_gz="${file_tar}.gz"
[ -z ${MAKE} ] && MAKE=make
envpath=/usr/bin:/bin
if gcc -dumpversion | grep '^4' ; then
# GCC 4.x machine
webkit=
else
# GCC 3.3.5 machine
webkit='-no-webkit'
fi
die() {
echo $1 1>&2
exit 1
}
rand_range() {
incMin=$1
incMax=$2
echo $((RANDOM*(incMax-incMin+1)/32768+incMin))
}
setup() {
mkdir -p "${workdir}"
cd "${workdir}" || die "cd failed"
}
download() {
[ -f "${file_tar_gz}" ] && return
case `rand_range 1 2` in
1)
mirror=http://ftp.ntua.gr/pub/X11/Qt/qt/source
;;
*)
mirror=http://wftp.tu-chemnitz.de/pub/Qt/qt/source
;;
esac
wget "${mirror}/${file_tar_gz}" || die "Download failed"
}
unpack() {
[ -d "${dir}" ] && return
gzip -d "${file_tar_gz}" || die "gunzip failed"
tar -xf "${file_tar}" || die "untar failed"
}
build() {
(
cd "${dir}" || die "cd failed"
if [ ! -f config.status ] ; then
env -i PATH=${envpath} ./configure \
-prefix "${destdir}" \
-optimized-qmake \
-confirm-license \
\
-no-mmx -no-sse -no-sse2 -no-3dnow \
-release -fast \
${webkit} \
-qt-zlib -qt-gif -qt-libtiff -qt-libpng -qt-libmng -qt-libjpeg \
\
|| die "configure failed"
fi
env -i PATH=${envpath} "${MAKE}" || die "make failed"
)
ret=$?; [ ${ret} = 0 ] || exit ${ret}
}
inst() {
(
cd "${dir}" || die "cd failed"
if [ ! -d "${destdir}" ]; then
mkdir -p "${destdir}"
env -i "${MAKE}" install || die "make install failed"
fi
# Fix rpath's
cd "${destdir}" || die "cd failed"
find bin -mindepth 1 -maxdepth 1 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../lib'
find lib -mindepth 1 -maxdepth 1 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN'
find . -mindepth 3 -maxdepth 3 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../../lib'
find . -mindepth 4 -maxdepth 4 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../../../lib'
find . -mindepth 5 -maxdepth 5 -type f -perm -100 | xargs -n 1 chrpath -r '$ORIGIN/../../../../lib'
)
ret=$?; [ ${ret} = 0 ] || exit ${ret}
}
main() {
(
setup
download
unpack
build
inst
)
ret=$?; [ ${ret} = 0 ] || exit ${ret}
}
main
This diff is collapsed.
......@@ -24,10 +24,10 @@
<shortcut id="Debugger.AddToWatch" >
<key value="Alt+D, Alt+W" />
</shortcut>
<shortcut id="QtCreator.Mode.GdbDebugger.Mode.Debug" >
<shortcut id="QtCreator.Mode.Debug" >
<key value="Ctrl+3" />
</shortcut>
<shortcut id="Qt Script Editor.Run" >
<shortcut id="QtScriptEditor.Run" >
<key value="" />
</shortcut>
<shortcut id="FindFilter.Files on Disk" >
......@@ -168,19 +168,19 @@
<shortcut id="QtCreator.RevertToSaved" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Windows" >
<shortcut id="FormEditor.Menu.Preview.Windows" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Motif" >
<shortcut id="FormEditor.Menu.Preview.Motif" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.CDE" >
<shortcut id="FormEditor.Menu.Preview.CDE" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Plastique" >
<shortcut id="FormEditor.Menu.Preview.Plastique" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Cleanlooks" >
<shortcut id="FormEditor.Menu.Preview.Cleanlooks" >
<key value="" />
</shortcut>
<shortcut id="FormEditor.ViewCode" >
......@@ -231,13 +231,13 @@
<shortcut id="QtCreator.DocumentToNextGroup" >
<key value="" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Output" >
<shortcut id="QtCreator.Mode.Output" >
<key value="Ctrl+6" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Welcome" >
<shortcut id="QtCreator.Mode.Welcome" >
<key value="Ctrl+1" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Edit" >
<shortcut id="QtCreator.Mode.Edit" >
<key value="Ctrl+2" />
</shortcut>
<shortcut id="Find.FindInCurrentDocument" >
......@@ -264,7 +264,7 @@
<shortcut id="Find.WholeWords" >
<key value="" />
</shortcut>
<shortcut id="QtCreator.View.QuickOpen.ToolWindow" >
<shortcut id="QtCreator.QuickOpen" >
<key value="Ctrl+D" />
</shortcut>
<shortcut id="Help.Home" >
......@@ -291,7 +291,7 @@
<shortcut id="Help.Context" >
<key value="F1" />
</shortcut>
<shortcut id="QtCreator.Mode.Help.HelpMode" >
<shortcut id="QtCreator.Mode.Help" >
<key value="Ctrl+5" />
</shortcut>
<shortcut id="Help.IndexShortcut" >
......@@ -306,7 +306,7 @@
<shortcut id="TextEditor.CompleteThis" >
<key value="Ctrl+Space" />
</shortcut>
<shortcut id="QtCreator.Mode.ProjectExplorer.Mode.Session" >
<shortcut id="QtCreator.Mode.Project" >
<key value="Ctrl+4" />
</shortcut>
<shortcut id="ProjectExplorer.NewSession" >
......@@ -387,10 +387,10 @@
<shortcut id="Bookmarks.Next" >
<key value="F2" />
</shortcut>
<shortcut id="Bookmarks.Previous.Document" >
<shortcut id="Bookmarks.PreviousDocument" >
<key value="" />
</shortcut>
<shortcut id="Bookmarks.Next.Document" >
<shortcut id="Bookmarks.NextDocument" >
<key value="" />
</shortcut>
<shortcut id="CppTools.SwitchHeaderSource" >
......@@ -453,10 +453,10 @@
<shortcut id="Perforce.Filelog" >
<key value="" />
</shortcut>
<shortcut id="Nokia.Perforce.SubmitCurrentLog" >
<shortcut id="Perforce.SubmitCurrentLog" >
<key value="" />
</shortcut>
<shortcut id="Nokia.Perforce.DiffSelectedFilesInLog" >
<shortcut id="Perforce.DiffSelectedFilesInLog" >
<key value="" />
</shortcut>
<shortcut id="Debugger.StartExternal" >
......
......@@ -114,13 +114,13 @@
<shortcut id="QtCreator.DocumentToNextGroup" >
<key value="" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Output" >
<shortcut id="QtCreator.Mode.Output" >
<key value="Meta+6" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Welcome" >
<shortcut id="QtCreator.Mode.Welcome" >
<key value="Meta+1" />
</shortcut>
<shortcut id="QtCreator.Mode.QtCreator.Mode.Edit" >
<shortcut id="QtCreator.Mode.Edit" >
<key value="Meta+2" />
</shortcut>
<shortcut id="Find.FindInCurrentDocument" >
......@@ -150,13 +150,13 @@
<shortcut id="Find.WholeWords" >
<key value="" />
</shortcut>
<shortcut id="QtCreator.View.QuickOpen.ToolWindow" >
<shortcut id="QtCreator.QuickOpen" >
<key value="Ctrl+Shift+D" />
</shortcut>
<shortcut id="TextEditor.CompleteThis" >
<key value="Alt+Esc" />
</shortcut>
<shortcut id="QtCreator.Mode.ProjectExplorer.Mode.Session" >
<shortcut id="QtCreator.Mode.Project" >
<key value="Meta+4" />
</shortcut>
<shortcut id="ProjectExplorer.NewSession" >
......@@ -282,22 +282,22 @@
<shortcut id="FormEditor.Preview" >
<key value="Ctrl+Alt+R" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Windows" >
<shortcut id="FormEditor.Menu.Preview.Windows" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Motif" >
<shortcut id="FormEditor.Menu.Preview.Motif" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.CDE" >
<shortcut id="FormEditor.Menu.Preview.CDE" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Plastique" >
<shortcut id="FormEditor.Menu.Preview.Plastique" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Cleanlooks" >
<shortcut id="FormEditor.Menu.Preview.Cleanlooks" >
<key value="" />
</shortcut>
<shortcut id="Formeditor.Menu.Preview.Macintosh (aqua)" >
<shortcut id="FormEditor.Menu.Preview.Macintosh (aqua)" >
<key value="" />
</shortcut>
<shortcut id="FormEditor.FormSettings" >
......@@ -369,7 +369,7 @@
<shortcut id="Help.Context" >
<key value="F1" />
</shortcut>
<shortcut id="QtCreator.Mode.Help.HelpMode" >
<shortcut id="QtCreator.Mode.Help" >
<key value="Meta+5" />
</shortcut>
<shortcut id="Help.IndexShortcut" >
......@@ -387,13 +387,13 @@
<shortcut id="Qt4Builder.RunQMakeContextMenu" >
<key value="" />
</shortcut>
<shortcut id="Qt Script Editor.Run" >
<shortcut id="QtScriptEditor.Run" >
<key value="Ctrl+R" />
</shortcut>
<shortcut id="CodePaster.post" >
<shortcut id="CodePaster.Post" >
<key value="Alt+C, Alt+P" />
</shortcut>
<shortcut id="CodePaster.fetch" >
<shortcut id="CodePaster.Fetch" >
<key value="Alt+C, Alt+F" />
</shortcut>
<shortcut id="Debugger.StartExternal" >
......@@ -456,7 +456,7 @@
<shortcut id="Debugger.AddToWatch" >
<key value="" />
</shortcut>
<shortcut id="QtCreator.Mode.Debugger.Mode.Debug" >
<shortcut id="QtCreator.Mode.Debug" >
<key value="Meta+3" />
</shortcut>
<shortcut id="Perforce.Edit" >
......@@ -504,10 +504,10 @@
<shortcut id="Perforce.Filelog" >
<key value="" />
</shortcut>
<shortcut id="Nokia.Perforce.SubmitCurrentLog" >
<shortcut id="Perforce.SubmitCurrentLog" >
<key value="" />
</shortcut>
<shortcut id="Nokia.Perforce.DiffSelectedFilesInLog" >
<shortcut id="Perforce.DiffSelectedFilesInLog" >
<key value="" />
</shortcut>
<shortcut id="Bookmarks.Toggle" >
......@@ -525,10 +525,10 @@
<shortcut id="Bookmarks.Next" >
<key value="Meta+." />
</shortcut>
<shortcut id="Bookmarks.Previous.Document" >
<shortcut id="Bookmarks.PreviousDocument" >
<key value="" />
</shortcut>
<shortcut id="Bookmarks.Next.Document" >
<shortcut id="Bookmarks.NextDocument" >
<key value="" />
</shortcut>
<shortcut id="TextEditor.SelectEncoding" >
......
......@@ -9,11 +9,9 @@ macx {
SCHEMES.files = $$PWD/qtcreator/schemes
GDBDEBUGGER.path = Contents/Resources
GDBDEBUGGER.files = $$PWD/qtcreator/gdbmacros
LICENSE.path = Contents/Resources
LICENSE.files = $$PWD/qtcreator/license.txt
RUNINTERMINAL.path = Contents/Resources
RUNINTERMINAL.files = $$PWD/qtcreator/runInTerminal.command
QMAKE_BUNDLE_DATA += SNIPPETS TEMPLATES DESIGNER SCHEMES GDBDEBUGGER LICENSE RUNINTERMINAL
QMAKE_BUNDLE_DATA += SNIPPETS TEMPLATES DESIGNER SCHEMES GDBDEBUGGER RUNINTERMINAL
QMAKE_INFO_PLIST = $$PWD/qtcreator/Info.plist
}
......@@ -43,9 +41,6 @@ win32|linux-* {
}
linux-* {
licenses.files += $$PWD/qtcreator/license.txt
licenses.path = /share/qtcreator
keymaps.files += $$PWD/qtcreator/schemes/MS_Visual_C++.kms
keymaps.files += $$PWD/qtcreator/schemes/Xcode.kms
keymaps.path = /share/qtcreator/schemes
......@@ -71,7 +66,6 @@ linux-* {
projecttemplates.path = /share/qtcreator/templates/qt4project
INSTALLS += \
licenses \
keymaps \
gdbsupport \
designertemplates \
......
src/app/qtcreator.ico

293 KB | W: | H:

src/app/qtcreator.ico

281 KB | W: | H:

src/app/qtcreator.ico
src/app/qtcreator.ico
src/app/qtcreator.ico
src/app/qtcreator.ico
  • 2-up
  • Swipe
  • Onion skin
......@@ -70,7 +70,7 @@
<item row="1" column="0">
<widget class="QLabel" name="pathLabel">
<property name="text">
<string>Path:</string>
<string>Create in:</string>
</property>
</widget>
</item>
......
......@@ -42,10 +42,10 @@ const char * const BOOKMARKS_MOVEUP_ACTION = "Bookmarks.MoveUp";
const char * const BOOKMARKS_MOVEDOWN_ACTION = "Bookmarks.MoveDown";
const char * const BOOKMARKS_PREV_ACTION = "Bookmarks.Previous";
const char * const BOOKMARKS_NEXT_ACTION = "Bookmarks.Next";
const char * const BOOKMARKS_PREVDIR_ACTION = "Bookmarks.Previous.Directory";
const char * const BOOKMARKS_NEXTDIR_ACTION = "Bookmarks.Next.Directory";
const char * const BOOKMARKS_PREVDOC_ACTION = "Bookmarks.Previous.Document";
const char * const BOOKMARKS_NEXTDOC_ACTION = "Bookmarks.Next.Document";
const char * const BOOKMARKS_PREVDIR_ACTION = "Bookmarks.PreviousDirectory";
const char * const BOOKMARKS_NEXTDIR_ACTION = "Bookmarks.NextDirectory";
const char * const BOOKMARKS_PREVDOC_ACTION = "Bookmarks.PreviousDocument";
const char * const BOOKMARKS_NEXTDOC_ACTION = "Bookmarks.NextDocument";
const char * const BOOKMARKS_MENU = "Bookmarks.Menu";
const char * const BOOKMARKS_CONTEXT = "Bookmarks";
......
......@@ -71,14 +71,14 @@ class CMakeRunner
{
public:
CMakeRunner();
void run(QFutureInterface<void> &fi);
void setExecutable(const QString &executable);
QString executable() const;
QString version() const;
bool supportsQtCreator() const;
void waitForUpToDate() const;
private:
void run(QFutureInterface<void> &fi);
void waitForUpToDate() const;
QString m_executable;
QString m_version;
bool m_supportsQtCreator;
......
......@@ -63,9 +63,9 @@ const char * const IDE_REVISION_STR = "";
#undef STRINGIFY_INTERNAL
//modes
const char * const MODE_WELCOME = "QtCreator.Mode.Welcome";
const char * const MODE_EDIT = "QtCreator.Mode.Edit";
const char * const MODE_OUTPUT = "QtCreator.Mode.Output";
const char * const MODE_WELCOME = "Welcome";
const char * const MODE_EDIT = "Edit";
const char * const MODE_OUTPUT = "Output";
const int P_MODE_WELCOME = 100;
const int P_MODE_EDIT = 90;
const int P_MODE_OUTPUT = 10;
......
......@@ -231,6 +231,7 @@ Layout TOP - Logo und Welcome Text
float:left;
width:210px;
padding-top:70px;
}
......
......@@ -150,7 +150,9 @@ MainWindow::MainWindow() :
OutputPaneManager::create();
setWindowTitle(tr("Qt Creator"));
#ifndef Q_OS_MAC
qApp->setWindowIcon(QIcon(":/core/images/qtcreator_logo_128.png"));
#endif
QCoreApplication::setApplicationName(QLatin1String("QtCreator"));
QCoreApplication::setApplicationVersion(QLatin1String(Core::Constants::IDE_VERSION_LONG));
QCoreApplication::setOrganizationName(QLatin1String("Nokia"));
......@@ -311,7 +313,7 @@ bool MainWindow::init(QString *errorMessage)
// Add widget to the bottom, we create the view here instead of inside the
// OutputPaneManager, since the ViewManager needs to be initilized before
m_outputView = new Core::BaseView;
m_outputView->setUniqueViewName("OutputWindow.Buttons");
m_outputView->setUniqueViewName("OutputWindow");
m_outputView->setWidget(OutputPaneManager::instance()->buttonsWidget());
m_outputView->setDefaultPosition(Core::IView::Second);
pm->addObject(m_outputView);
......
......@@ -326,7 +326,7 @@ void NavigationWidget::objectAdded(QObject * obj)
QShortcut *shortcut = new QShortcut(this);
shortcut->setWhatsThis(tr("Activate %1 Pane").arg(displayName));
Core::Command *cmd = am->registerShortcut(shortcut,
displayName + QLatin1String(".FocusShortcut"), navicontext);
QLatin1String("QtCreator.Sidebar.") + displayName, navicontext);
cmd->setDefaultKeySequence(factory->activationSequence());
connect(shortcut, SIGNAL(activated()), this, SLOT(activateSubWidget()));
......
......@@ -98,43 +98,9 @@ VersionDialog::VersionDialog(QWidget *parent)
buttonBox->addButton(closeButton, QDialogButtonBox::ButtonRole(QDialogButtonBox::RejectRole | QDialogButtonBox::AcceptRole));
connect(buttonBox , SIGNAL(rejected()), this, SLOT(reject()));
buttonBox->addButton(tr("Show License"), QDialogButtonBox::HelpRole);
connect(buttonBox , SIGNAL(helpRequested()), this, SLOT(popupLicense()));
QLabel *logoLabel = new QLabel;
logoLabel->setPixmap(QPixmap(QLatin1String(":/core/images/qtcreator_logo_128.png")));
layout->addWidget(logoLabel , 0, 0, 1, 1);
layout->addWidget(copyRightLabel, 0, 1, 4, 4);
layout->addWidget(buttonBox, 4, 0, 1, 5);
}
void VersionDialog::popupLicense()
{
QDialog *dialog = new QDialog(this);
dialog->setWindowTitle("License");
QVBoxLayout *layout = new QVBoxLayout(dialog);
QTextBrowser *licenseBrowser = new QTextBrowser(dialog);
layout->addWidget(licenseBrowser);
QDialogButtonBox *buttonBox = new QDialogButtonBox(QDialogButtonBox::Close);
connect(buttonBox , SIGNAL(rejected()), dialog, SLOT(reject()));
layout->addWidget(buttonBox);
// Read file into string
ICore *core = ICore::instance();
QTC_ASSERT(core, return);
QString fileName = core->resourcePath() + "/license.txt";
QFile file(fileName);
QString licenseText;
if (!file.open(QIODevice::ReadOnly | QIODevice::Text))
licenseText = "File '" + fileName + "' could not be read.";
else
licenseText = file.readAll();
licenseBrowser->setPlainText(licenseText);
dialog->setMinimumSize(QSize(550, 690));
dialog->exec();
delete dialog;
}
......@@ -44,8 +44,6 @@ class VersionDialog : public QDialog
Q_OBJECT
public:
explicit VersionDialog(QWidget *parent);
private slots:
void popupLicense();
};
} // namespace Internal
......
......@@ -103,14 +103,14 @@ bool CodepasterPlugin::initialize(const QStringList &arguments, QString *error_m
Core::Command *command;
m_postAction = new QAction(tr("Paste snippet..."), this);
command = actionManager->registerAction(m_postAction, "CodePaster.post", globalcontext);
m_postAction = new QAction(tr("Paste Snippet..."), this);
command = actionManager->registerAction(m_postAction, "CodePaster.Post", globalcontext);
command->setDefaultKeySequence(QKeySequence(tr("Alt+C,Alt+P")));
connect(m_postAction, SIGNAL(triggered()), this, SLOT(post()));
cpContainer->addAction(command);
m_fetchAction = new QAction(tr("Fetch snippet..."), this);
command = actionManager->registerAction(m_fetchAction, "CodePaster.fetch", globalcontext);
m_fetchAction = new QAction(tr("Fetch Snippet..."), this);
command = actionManager->registerAction(m_fetchAction, "CodePaster.Fetch", globalcontext);
command->setDefaultKeySequence(QKeySequence(tr("Alt+C,Alt+F")));
connect(m_fetchAction, SIGNAL(triggered()), this, SLOT(fetch()));
cpContainer->addAction(command);
......
......@@ -288,6 +288,7 @@ void GdbEngine::initializeVariables()
{
m_dataDumperState = DataDumperUninitialized;
m_gdbVersion = 100;
m_gdbBuildVersion = -1;
m_fullToShortName.clear();
m_shortToFullName.clear();
......@@ -475,8 +476,20 @@ void GdbEngine::handleResponse()
handleAsyncOutput(record);
} else if (asyncClass == "running") {
// Archer has 'thread-id="all"' here
#ifdef Q_OS_MAC
} else if (asyncClass == "shlibs-updated") {
// MAC announces updated libs
} else if (asyncClass == "shlibs-added") {
// MAC announces added libs
// {shlib-info={num="2", name="libmathCommon.A_debug.dylib",
// kind="-", dyld-addr="0x7f000", reason="dyld", requested-state="Y",
// state="Y", path="/usr/lib/system/libmathCommon.A_debug.dylib",
// description="/usr/lib/system/libmathCommon.A_debug.dylib",
// loaded_addr="0x7f000", slide="0x7f000", prefix=""}}
#endif
} else {
qDebug() << "IGNORED ASYNC OUTPUT " << record.toString();
qDebug() << "IGNORED ASYNC OUTPUT "
<< asyncClass << record.toString();
}
break;
}
......@@ -1135,7 +1148,7 @@ void GdbEngine::handleAqcuiredInferior()
}
// nicer to see a bit of the world we live in
reloadModules();
QTimer::singleShot(0, this, SLOT(attemptBreakpointSynchronization()));
attemptBreakpointSynchronization();
}
void GdbEngine::handleAsyncOutput(const GdbMi &data)
......@@ -1172,12 +1185,12 @@ void GdbEngine::handleAsyncOutput(const GdbMi &data)
qq->notifyInferiorStopped();
m_waitingForFirstBreakpointToBeHit = false;
// this will "continue" if done
m_waitingForBreakpointSynchronizationToContinue = true;
//
// that's the "early stop"
//
handleAqcuiredInferior();
// this will "continue" if done
m_waitingForBreakpointSynchronizationToContinue = true;
return;
}
......@@ -1342,10 +1355,14 @@ void GdbEngine::handleAsyncOutput2(const GdbMi &data)
void GdbEngine::handleShowVersion(const GdbResultRecord &response)
{
//qDebug () << "VERSION 2:" << response.data.findChild("consolestreamoutput").data();
//qDebug () << "VERSION:" << response.toString();
debugMessage("VERSION:" + response.toString());
if (response.resultClass == GdbResultDone) {
m_gdbVersion = 100;
m_gdbBuildVersion = -1;
QString msg = response.data.findChild("consolestreamoutput").data();
QRegExp supported("GNU gdb(.*) (\\d+)\\.(\\d+)(\\.(\\d+))?");
QRegExp supported("GNU gdb(.*) (\\d+)\\.(\\d+)(\\.(\\d+))?(-(\\d+))?");
if (supported.indexIn(msg) == -1) {
debugMessage("UNSUPPORTED GDB VERSION " + msg);
QStringList list = msg.split("\n");
......@@ -1368,8 +1385,10 @@ void GdbEngine::handleShowVersion(const GdbResultRecord &response)
m_gdbVersion = 10000 * supported.cap(2).toInt()
+ 100 * supported.cap(3).toInt()
+ 1 * supported.cap(5).toInt();
//debugMessage(QString("GDB VERSION: %1").arg(m_gdbVersion));
m_gdbBuildVersion = supported.cap(7).toInt();
debugMessage(QString("GDB VERSION: %1").arg(m_gdbVersion));
}
//qDebug () << "VERSION 3:" << m_gdbVersion << m_gdbBuildVersion;
}
}
......@@ -1643,7 +1662,9 @@ bool GdbEngine::startDebugger()
#endif
if (!q->m_processArgs.isEmpty())
sendCommand("-exec-arguments " + q->m_processArgs.join(" "));
#ifndef Q_OS_MAC
sendCommand("set auto-solib-add off");
#endif
sendCommand("info target", GdbStart);
}
......@@ -4053,12 +4074,12 @@ void GdbEngine::tryLoadCustomDumpers()